<template>
  <div v-if="isShow">
    <div
      class="tmt-4 text-sm font-normal leading-4 text-center"
      style="margin-top: 20px; margin-bottom: 20px; color: var(--text5);"
    >
      {{ $t("or") }}
    </div>
    <div style="display: flex; justify-content: center">
      <telegram-login-temp
        mode="callback"
        :telegram-login="username"
        @callback="$emit('callback', $event)"
      />
    </div>
  </div>
</template>

<script setup lang="ts">
import { telegramLoginTemp } from "vue3-telegram-login";
import { ITelegramUser } from "~~/models/telegram";

defineEmits<{
  (e: "callback", user: ITelegramUser): void;
}>();

defineProps<{
  isShow?: boolean;
  username?: string;
}>();
</script>

<style scoped></style>
